function [clusteredDataSet] = clusterRequests(dataSet, clusters)
% groups requests (depending on their pattern)
% these groups will be regarded as states in Markov models

requestColumn = 4;

[I, n] = size(dataSet);
clusteredDataSet = dataSet;

for i = 1 : I
    request = clusteredDataSet{i, requestColumn};    
    for j = 1 : length(clusters)
        cluster = clusters{j};
        if ~isempty(strfind(request, cluster))            
            break;
        end        
    end
    clusteredDataSet{i, requestColumn} = clusters{j};
end
