function [labeledDataSet, labelMapper] = label(clusteredDataSet)
% changes original values in columns to successive numbers (except for
% 'timestamp' and 'responseSize' columns)

timestampColumn = 2;
responseSizeColumn = 6;

[I, n] = size(clusteredDataSet);

labeledDataSet = zeros(I, n);

%building label mapper
for i = 1 : n
    if (i == timestampColumn) labelMapper{i} = {'timestamp'}; continue; end; 
    if (i == responseSizeColumn) labelMapper{i} = {'size'}; continue; end; 
    labelMapper{i} = unique(clusteredDataSet(:, i))';    
end

for i = 1 : I
    
    if mod(i, round(0.1 * I)) == 0
        disp(['Progress: ' num2str(round(100 * i / I)) '%.']);
    end    
    
    for j = 1 : n
        if (j == timestampColumn) || (j == responseSizeColumn) 
            labeledDataSet(i, j) = str2num(clusteredDataSet{i, j}); %timestamp or size remain unchanged (unlabeled)
            continue;
        end
        
        findResult = find(strcmp(labelMapper{j}, clusteredDataSet(i, j)));
        if (isempty(findResult)) labeledDataSet(i, j) = 1;
        else labeledDataSet(i, j) = findResult;
        end
    end
end

