function [setOfTrainingSequences, setOfTestingSequences] = toSetOfSequences(labeledDataSet, trainingTestingSplit)
% trainingTestingSplit - number from (0, 1), percentage of training part

sessionsGap = 1000 * 60 * 45; %45 minutes given in milis

stateColumn = 4; %requests are regarded as states
timestampColumn = 2; 

[I, n] = size(labeledDataSet);

timestamps = labeledDataSet(:, timestampColumn);
timestamps2 = labeledDataSet(2 : end, timestampColumn);
timestamps2 = [timestamps2; timestamps2(end)];
timestampDiffs = timestamps2 - timestamps;

sessionSplits = find(timestampDiffs > sessionsGap);
t1 = 1;
for k = 1 : length(sessionSplits) + 1    
    if (k == length(sessionSplits) + 1) t2 = I;
    else t2 = sessionSplits(k);
    end;
    
    setOfSequences{k} = labeledDataSet(t1 : t2, stateColumn);
    t1 = t2 + 1;
end

% split into training and testing part
K = k - 1;
%setOfSequences = setOfSequences(randperm(K));
splitIndex = round(trainingTestingSplit * K);

setOfTrainingSequences = setOfSequences(1 : splitIndex);
setOfTestingSequences = setOfSequences(splitIndex + 1 : K);